Summary: IPC library used by GnuPG
Name: libassuan
Version: 1.0.4
Release: 10%{?dist}
License: GPL
Group: Applications/System
URL: http://www.gnupg.org
Source0: ftp://ftp.gnupg.org/gcrypt/libassuan/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/libassuan/%{name}-%{version}.tar.bz2.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgpg-error-devel >= 0.6
BuildRequires: pth-devel

%description
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package.  It used to be included with the latter packages. This
package is for supporting GnuPG >= 1.9 and future developement.

%package devel
Summary: Development files for accessing the IPC library for GnuPG.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: libgpg-error-devel >= 0.6
PreReq: /sbin/install-info

%description devel
Static libraries and header files from libassuan.

%prep
%setup -q

%build
CFLAGS="-fPIC %{optflags}"; export CFLAGS
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post devel
infofile=%{_infodir}/assuan.info
if [ -f $infofile.gz ]; then infofile=$infofile.gz; fi
/sbin/install-info $infofile %{_infodir}/dir

%preun devel
if [ $1 = 0 ]; then
  infofile=%{_infodir}/assuan.info
  if [ -f $infofile.gz ]; then infofile=$infofile.gz; fi
  /sbin/install-info --del $infofile %{_infodir}/dir
fi

%files
%defattr(-,root,root,-)
%doc README* ChangeLog AUTHORS NEWS THANKS TODO

%files devel
%defattr(-,root,root,-)
%{_bindir}/libassuan-config
%{_includedir}/assuan.h
%{_libdir}/libassuan.a
%{_libdir}/libassuan-pth.a
%{_datadir}/aclocal/libassuan.m4
%{_infodir}/assuan.info*


%changelog
* Sat Jan 12 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.4-10
- Update to 1.0.4.

* Thu Nov 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.1
- Update to 1.0.1.

* Thu Nov  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.0-8
- Update to 1.0.0.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.3-6
- Update to 0.9.3.

* Fri Oct  7 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.10.

* Sun Jan  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.9.

* Tue Jun  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.6.

* Thu Jun  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.5.

* Mon Mar 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


